# NOTE: this package is closely related to Sphinx version, so keep it in sync with sphinx-pdg.spec
#
# Conditional build:
%bcond_without	tests	# unit tests

Summary:	Sphinx Doxygen renderer
Summary(pl.UTF-8):	Renderer Doxygena dla systemu dokumentacji Sphinx
Name:		python3-breathe
Version:	4.26.1
Release:	2
License:	BSD
Group:		Development/Languages/Python
#Source0Download: https://github.com/michaeljones/breathe/releases
Source0:	https://github.com/michaeljones/breathe/archive/v%{version}/breathe-%{version}.tar.gz
# Source0-md5:	1e10c4789bca927dfc462a9bba841df7
URL:		https://github.com/michaeljones/breathe
BuildRequires:	python3-modules >= 1:3.5
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-Sphinx >= 3.0
BuildRequires:	python3-Sphinx < 3.5
BuildRequires:	python3-docutils >= 0.12
BuildRequires:	python3-pytest
BuildRequires:	python3-six >= 1.9
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Breathe is an extension to reStructuredText and Sphinx to be able to
read and render the Doxygen XML output.

%description -l pl.UTF-8
Breathe to rozszerzenie do systemu dokumentacji reStructuredText i
Sphinx, pozwalające na odczyt i renderowanie wyjścia XML z Doxygena.

%prep
%setup -q -n breathe-%{version}

%build
%py3_build

%if %{with tests}
cd tests
PYTHONPATH=.. \
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python3} -m pytest -v
cd ..
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__mv} $RPM_BUILD_ROOT%{_bindir}/breathe-apidoc{,-3}
ln -sf breathe-apidoc-3 $RPM_BUILD_ROOT%{_bindir}/breathe-apidoc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%attr(755,root,root) %{_bindir}/breathe-apidoc
%attr(755,root,root) %{_bindir}/breathe-apidoc-3
%{py3_sitescriptdir}/breathe
%{py3_sitescriptdir}/breathe-%{version}-py*.egg-info
%changelog
* Sat Feb 27 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-breathe.git;a=log;h=master

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> efdfed4
- release 2 (by relup.sh)

* Fri Jan 29 2021 Jakub Bogusz <qboosh@pld-linux.org> b6bb1c1
- updated to 4.26.1

* Thu May 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 1d711b4
- updated to 4.14.2 compatible with Sphinx 2; python 3.5+ now

* Sat Feb 29 2020 Jakub Bogusz <qboosh@pld-linux.org> 32e5e8a
- updated to 4.12.0 (for Sphinx 1.8)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 1ace04f
- rebuild with python 3.8
- release 2 (by relup.sh)

* Wed Dec 26 2018 Jakub Bogusz <qboosh@pld-linux.org> 6145f7d
- updated to 4.11.1

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 36ca256
- python 3.7 rebuild
- release 2 (by relup.sh)

* Sun Apr 09 2017 Jakub Bogusz <qboosh@pld-linux.org> 41b2223
- updated to 4.6.0

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> ad06c24
- python 3.6
- release 2 (by relup.sh)

* Sat May 14 2016 Jakub Bogusz <qboosh@pld-linux.org> c6364fe
- updated to 4.2.0
- enabled (nose) tests

* Sat Dec 26 2015 Jan Rękorajski <baggins@pld-linux.org> 6204f8c
- added p3 deps

* Sat Dec 26 2015 Jan Rękorajski <baggins@pld-linux.org> b06ebd4
- added python3 package
- rel 3

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 606d53b
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 65361c6
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 173b922
- automatic change: use py_build/py_install macros

* Thu Sep 19 2013 Elan Ruusamäe <glen@delfi.ee> 057588b
- simplify github url

* Thu Sep 19 2013 Jakub Bogusz <qboosh@pld-linux.org> a1aa2a0
- new

